Uninstall Software

Create a task to uninstall an application from one named device.

This method allows users to create tasks to uninstall an application. Users can provide URL encoded value in the ‘appname’ field.

KeyMeaningMandatoryData Type
nameName of the uninstall jobYesstring
appnameApplication name (URL-encoded allowed)Yesstring
starttimeTask start time (format: HH:MM:AM/PM)Nostring
endtimeTask end time (format: HH:MM:AM/PM)Nostring
scheduletypeType of schedule (date/immediate/on-schedule)Yesstring
schedulevalueSchedule date (format: YYYY-MM-DD)Nostring
persistentWhether task is persistent (yes/no)Nostring
periodicityFrequency valueNostring
autorebootAuto reboot after uninstall (true/false)Nostring
rebootdatetimeReboot date time (format: YYYY-MM-DD HH:MM:SS)Nostring
silentoptionSilent uninstall option/argumentNostring
groupnameDevice group nameYesstring
devicenameDevice nameYesstring
startwindowtimeTask window start time (format: HH:MM:AM/PM)Nostring
forcerebootForce reboot flag (true/false)Nostring
accountidAccount identifierYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Endpoint.uninstallSoftware(
  accountid="Demo Account",
  name="PUTTY",
  appname="putty",
  devicename="device 1",
  scheduletype="immediate",
  groupname="ubuntu"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json